import 'package:meta/meta.dart';

@immutable
abstract class PrivacySettingsEvent {}

/// 初始化数据
class PrivacySettingsInitEvent extends PrivacySettingsEvent {
  final Map<String, dynamic> data;

  PrivacySettingsInitEvent(this.data);
}

/// 更新数据
class PrivacySettingsUpdateEvent extends PrivacySettingsEvent {
  String key;
  bool value;
  PrivacySettingsUpdateEvent({this.value, this.key});
}
